---
name: Incident Response Runbook
description: A comprehensive template for incident response documentation and management
tags: [incident, runbook, response, template]
---

# Incident Response Runbook Template

## Incident Overview
- **Incident ID**: [INCIDENT-YYYY-MMDD-XXX]
- **Severity Level**: [P1/P2/P3/P4]
- **Reported Time**: [YYYY-MM-DD HH:MM UTC]
- **Reported By**: [Name/Team]
- **Affected Service**: [Service Name]

## Initial Assessment
### Impact
- **Users Affected**: [Number/Percentage]
- **Geographic Impact**: [Regions/Countries]
- **Business Impact**: [Revenue/Customer Experience]

### Symptoms
- [ ] Service unavailable
- [ ] Performance degradation
- [ ] Error rates increased
- [ ] Data inconsistency
- [ ] Other: _______________

## Immediate Actions
### 1. Incident Commander
- [ ] Assign incident commander
- [ ] Establish communication channels
- [ ] Notify stakeholders

### 2. Initial Response
- [ ] Acknowledge incident
- [ ] Assess scope and impact
- [ ] Implement immediate mitigations
- [ ] Update status page

### 3. Team Mobilization
- [ ] On-call engineer notified
- [ ] Subject matter experts identified
- [ ] Support teams alerted

## Investigation
### Current Status
- **Status**: [Investigating/Identified/Fixing/Monitoring/Resolved]
- **Last Updated**: [YYYY-MM-DD HH:MM UTC]

### Root Cause Analysis
- **Suspected Cause**: [Brief description]
- **Evidence**: [Logs, metrics, error messages]
- **Timeline**: [When issue started, key events]

### Technical Details
